<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>gsi_driver</name>
    <title>Globus XIO GSI Driver</title>
    <filename>group__gsi__driver.html</filename>
    <subgroup>gsi_driver_instance</subgroup>
    <subgroup>gsi_driver_io</subgroup>
    <subgroup>gsi_driver_server</subgroup>
    <subgroup>gsi_driver_envs</subgroup>
    <subgroup>gsi_driver_cntls</subgroup>
    <subgroup>gsi_driver_types</subgroup>
    <subgroup>gsi_driver_errors</subgroup>
  </compound>
  <compound kind="group">
    <name>gsi_driver_instance</name>
    <title>Opening/Closing</title>
    <filename>group__gsi__driver__instance.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_io</name>
    <title>Reading/Writing</title>
    <filename>group__gsi__driver__io.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_server</name>
    <title>Server</title>
    <filename>group__gsi__driver__server.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_envs</name>
    <title>Env Variables</title>
    <filename>group__gsi__driver__envs.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_cntls</name>
    <title>Attributes and Cntls</title>
    <filename>group__gsi__driver__cntls.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_cmd_t</name>
      <anchor>g6cd4f6781f10545c6a24fa09d0ba7281</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_CREDENTIAL</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281675c3a4dbc344c8e3a6e626232e9f271</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CREDENTIAL</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281a307f59225a65e8f6c95649d037e3aa7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72817a3f396246bb140a30c4bf335d527dbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba728125472364ed96ba931d67df12d8a1d9cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROXY_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281d997ebf746dd72a1126928641ddd051a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROXY_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba728118c79e400439bba3d214fd951bddea86</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72817e2ff6549fb1d6f50344d5b7858169b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba728182f37f22a8fbc4efa39139b9dea13bbd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_DELEGATION_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281d4a67eccfe4d664a3c3a03bc20dd0854</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATION_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281f447fc49f3e53c5967988fb5b3d3d7d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba728100927a6d4c0fe6ac1726ffd9f3a9d875</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_ANON</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281bc7f5ec465a28c3ad326c7f3f6ad426d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_WRAP_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281ecf98999ea46c9553787fb55bf8ba6d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_WRAP_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba728169a602f30a5adc6a10eb6d6c73bb1f24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_BUFFER_SIZE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281a9c3e20083b34b64f1d049ddec2ec298</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_BUFFER_SIZE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281eb85fe42358c070441fa930554d3c8f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281c1fedb66115f168e2b329a8a437bb857</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281bbed1417060c381148293c185dfaaab0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_TARGET_NAME</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72816dc03582ab43a1c26b250b850d53ae02</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_TARGET_NAME</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281e42a39097b273cbe83897e08ee3ab2c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CONTEXT</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72812bc0aa0a2b82e55e4acdf10b6ea4718f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATED_CRED</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72815d937ffb09f2e687d746e6704f3a64b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PEER_NAME</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281ab4a3328289e25add23d33254ee7bfef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_LOCAL_NAME</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72818656fca7ac8fd79269fb3b2866ebe13e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_INIT_DELEGATION</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72810622c35d23e2eb564b871b4192e09d5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba7281945736dbc13cad0a48f611cc0c911458</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ACCEPT_DELEGATION</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72816069a902295e57eb03b10cb7cb15fd31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba72814521ac36cf33a2f2cd70bb28193b9844</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_FORCE_SERVER_MODE</name>
      <anchor>gg6cd4f6781f10545c6a24fa09d0ba728169ed773c45433cf08f731f876a7bff9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g82534e46f6b379f2192393bc5a0fbe86</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gaa78e7b7c4effd5b1f17d7211f925bce</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gdb86d651ab58e0b417cdce205fe4b4ab</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g91932dca133bd43a12aefded9320c4c2</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga63e1285b845e1f1c3f684e7ba227d2f</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, OM_uint32 req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g298881a562dd029493a86f705c6e1db2</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, OM_uint32 *req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g307aee1a2fc63b878715b5a264af2d67</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROXY_MODE, globus_xio_gsi_proxy_mode_t proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g2bf96d7e8b55f9d8fd9a6434d50612bd</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROXY_MODE, globus_xio_gsi_proxy_mode_t *proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g2dc6f05ab00bdcd3532510f2ae24573c</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g789afd7ebf46d27489c5cf518884c862</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t *authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g2149e396ca7106d86fc83d2ef2e5f7da</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gb01e105b9bf41645269c4104cacff3b8</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t *delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g275fe2c6c87cf7dfe17faf1220f33c28</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE, globus_bool_t ssl_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g7844510586be5bbb302241bb178c1aae</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_ANON, globus_bool_t anon_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gca0a19aa5c5e4d4567f4ef8939ad0418</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_WRAP_MODE, globus_boolean_t wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g55a6c67ac80417629fcc06415f8bf968</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_WRAP_MODE, globus_boolean_t *wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ge2a49444eadc547479bd6e78890fd390</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, globus_size_t buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g180bba2fe46ee63ab4f70e1170d8f9b3</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, globus_size_t *buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g1cde5442bcc84e20382d15fb47487785</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g82a983d777888dbee849f02d26c90dd6</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t *protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gdd6b3c8df5bdb46ca45c17b5d54ab6fd</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_TARGET_NAME, gss_name_t *target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g2b677d26183972367f44d3c09bbac762</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_TARGET_NAME, gss_name_t target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gc3454011d594f8d553a4a3bcf842d305</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CONTEXT, gss_ctx_id_t *context)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g9f998eb6bdd09c27ba6b0c8aac0b2047</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_DELEGATED_CRED, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g494aa34acebaf7a41843137526da13bd</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_PEER_NAME, gss_name_t *peer_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g423d8e516503e7a4d0e11374d40ec923</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_LOCAL_NAME, gss_name_t *local_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g7657d72268f4dd5f937bf6eb6f0e6497</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g212bd41a52404abc4ef0e179805a28e0</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_init_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g2e682f25a05325606ab513d6002f235c</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, gss_cred_id_t *credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g3a44c41f9f2879df8f8fdce9e02be846</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_accept_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>g6180d76adfae9f67ded0fa053ea288a2</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_FORCE_SERVER_MODE, globus_bool_t server_mode)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_types</name>
    <title>Types</title>
    <filename>group__gsi__driver__types.html</filename>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_xio_gsi_delegation_init_callback_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>g092e90ddc45fef1e518b76e8c4f0c5f6</anchor>
      <arglist>(globus_result_t result, void *user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_xio_gsi_delegation_accept_callback_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>g1a0f6baf972327d067827d64c24a14f4</anchor>
      <arglist>(globus_result_t result, gss_cred_id_t delegated_cred, OM_uint32 time_rec, void *user_arg)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_protection_level_t</name>
      <anchor>g597e735a1a03fa920b188fecf61a4eba</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_NONE</name>
      <anchor>gg597e735a1a03fa920b188fecf61a4ebaecc9596f4b33ee7af86dafaea010add7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_INTEGRITY</name>
      <anchor>gg597e735a1a03fa920b188fecf61a4ebafeb1f228a2d46491c549a72d164b3fad</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_PRIVACY</name>
      <anchor>gg597e735a1a03fa920b188fecf61a4ebab0c16abb6585787dca4ce288e66c6d32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_delegation_mode_t</name>
      <anchor>g119946e41e7568b9b295259da083fbfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_NONE</name>
      <anchor>gg119946e41e7568b9b295259da083fbfc571293eca7353404ebe8ab302df273ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_LIMITED</name>
      <anchor>gg119946e41e7568b9b295259da083fbfc674fe6ebf7fda034636c9ff6cc4a9c77</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_FULL</name>
      <anchor>gg119946e41e7568b9b295259da083fbfc58c81364683d9626ad7c1b080dab6700</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_proxy_mode_t</name>
      <anchor>gad333bdb6e298f61c073600cd663d883</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_FULL</name>
      <anchor>ggad333bdb6e298f61c073600cd663d883f25beefcecb2447a7f235c4293247de1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_LIMITED</name>
      <anchor>ggad333bdb6e298f61c073600cd663d8836bd9e035b430a8929d5ecc63b3210670</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_MANY</name>
      <anchor>ggad333bdb6e298f61c073600cd663d88301660abf947efea98f1ff268b9c0fa60</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_authorization_mode_t</name>
      <anchor>g3265e923675bbe514e069a3002cba718</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_NO_AUTHORIZATION</name>
      <anchor>gg3265e923675bbe514e069a3002cba71823cee8fbe3daf6c7ca62a8d8bfdea862</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SELF_AUTHORIZATION</name>
      <anchor>gg3265e923675bbe514e069a3002cba718fd4113cdc40d4bcf2a195a9070b1ed4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION</name>
      <anchor>gg3265e923675bbe514e069a3002cba7185c8d64a00189fb81d06c276baa9abc03</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_HOST_AUTHORIZATION</name>
      <anchor>gg3265e923675bbe514e069a3002cba718dc225ac9b051a8f6a0ac3cb4b02679dd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_errors</name>
    <title>Error Types</title>
    <filename>group__gsi__driver__errors.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_error_t</name>
      <anchor>g2cef43c5dc8af376fe77f63f3c57f0eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_INVALID_PROTECTION_LEVEL</name>
      <anchor>gg2cef43c5dc8af376fe77f63f3c57f0eb27b255a421131eecdf61300e0b6f2113</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_WRAP_GSSAPI</name>
      <anchor>gg2cef43c5dc8af376fe77f63f3c57f0ebb2f4aa8063d5911d91d9b147e99a0fdb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_TARGET_NAME</name>
      <anchor>gg2cef43c5dc8af376fe77f63f3c57f0eb1f996b80ea5fa4a6efb6a4ef84c51431</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_HOST_NAME</name>
      <anchor>gg2cef43c5dc8af376fe77f63f3c57f0ebc7c89e6743c93bbcee1278b1b22db5cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_AUTHORIZATION_FAILED</name>
      <anchor>gg2cef43c5dc8af376fe77f63f3c57f0eb6b8471a4e62817eaef669ca87c729e7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_TOKEN_TOO_BIG</name>
      <anchor>gg2cef43c5dc8af376fe77f63f3c57f0eb977de83b4b9b598cefa4c5caf99f534c</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
